Bug 29482 - Terminology: This item belongs to another branch.
Summary: Terminology: This item belongs to another branch.
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-15 12:32 UTC by Katrin Fischer
Modified: 2022-04-17 20:07 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
This replaces the word "branch" with the word "library" for a self-checkout message, as per the terminology guidelines. ("This item belongs to another branch." changed to "This item belongs to another library".)
Version(s) released in:
22.05.00,21.11.03,21.05.14


Attachments
Bug 29482: Replace the term branch with library (1.92 KB, patch)
2022-01-18 13:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29482: Replace the term branch with library (1.97 KB, patch)
2022-01-19 22:44 UTC, David Nind
Details | Diff | Splinter Review
Bug 29482: Replace the term branch with library (2.04 KB, patch)
2022-01-26 13:59 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-11-15 12:32:41 UTC
Another find int he 21.11 translation files:

koha-tmpl/opac-tmpl/bootstrap/en/modules/sco/sco-main.tt:81
This item belongs to another branch.

branch should be library.
Comment 1 Owen Leonard 2022-01-18 13:04:35 UTC
Created attachment 129570 [details] [review]
Bug 29482: Replace the term branch with library

This patch replaces the word "branch" with the word "library" in the
self-checkout template, as per terminology guidelines.

To test, apply the patch and go to Administration -> System preferences.

- Set the "IndependentBranches" preference to "Yes."
- Log into the self checkout system using a staff user with permission
  to do self-checkout but not superlibrarian status.
- Try to check out an item which belongs to a library that's different
  to the one you're logged in with.
- You should see a message, "Item cannot be checked out," including the
  text "This item belongs to another library."
Comment 2 David Nind 2022-01-19 22:44:02 UTC
Created attachment 129628 [details] [review]
Bug 29482: Replace the term branch with library

This patch replaces the word "branch" with the word "library" in the
self-checkout template, as per terminology guidelines.

To test, apply the patch and go to Administration -> System preferences.

- Set the "IndependentBranches" preference to "Yes."
- Log into the self checkout system using a staff user with permission
  to do self-checkout but not superlibrarian status.
- Try to check out an item which belongs to a library that's different
  to the one you're logged in with.
- You should see a message, "Item cannot be checked out," including the
  text "This item belongs to another library."

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2022-01-19 22:47:39 UTC
Testing notes (koha-testing-docker):

- I couldn't get the user interface message to display by following the test plan: assume there are some other settings required - the message I got was "Sorry, this item cannot be checked out at this station."

- Reviewed patch and signed off based on text changed to the correct terminology.
Comment 4 Jonathan Druart 2022-01-26 13:59:16 UTC
Created attachment 129825 [details] [review]
Bug 29482: Replace the term branch with library

This patch replaces the word "branch" with the word "library" in the
self-checkout template, as per terminology guidelines.

To test, apply the patch and go to Administration -> System preferences.

- Set the "IndependentBranches" preference to "Yes."
- Log into the self checkout system using a staff user with permission
  to do self-checkout but not superlibrarian status.
- Try to check out an item which belongs to a library that's different
  to the one you're logged in with.
- You should see a message, "Item cannot be checked out," including the
  text "This item belongs to another library."

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Fridolin Somers 2022-02-01 07:56:57 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 6 Kyle M Hall 2022-02-07 16:20:25 UTC
Pushed to 21.11.x for 21.11.03
Comment 7 Andrew Fuerste-Henry 2022-04-15 16:57:37 UTC
Pushed to 21.05.x for 21.05.14
Comment 8 Victor Grousset/tuxayo 2022-04-17 20:07:22 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.